Delete leads
curl --request DELETE \
--url https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
[
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
'import requests
url = "https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads"
payload = ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify(['3c90c3cc-0d44-4b50-8888-8dd25736052a'])
};
fetch('https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads"
payload := strings.NewReader("[\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n]")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "[\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n]"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"deleted_count": 123,
"failed_count": 123,
"errors": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Leads
Delete leads
Delete leads from a campaign
Delete one or more leads from a campaign. Only pending leads (not yet sent) can be deleted.
Important Notes
- Only leads with PENDING status can be deleted
- Leads that have already received emails cannot be deleted
- This action cannot be undone
Example Usage
import requests
campaign_id = "550e8400-e29b-41d4-a716-446655440000"
lead_ids = [
"650e8400-e29b-41d4-a716-446655440000",
"750e8400-e29b-41d4-a716-446655440000"
]
response = requests.delete(
f"https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads",
headers={"X-API-Key": "your-api-key"},
json=lead_ids
)
print(response.json())
DELETE
/
api
/
public
/
v1
/
campaigns
/
{campaign_id}
/
leads
Delete leads
curl --request DELETE \
--url https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
[
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
'import requests
url = "https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads"
payload = ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify(['3c90c3cc-0d44-4b50-8888-8dd25736052a'])
};
fetch('https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads"
payload := strings.NewReader("[\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n]")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "[\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n]"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"deleted_count": 123,
"failed_count": 123,
"errors": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key with format cs_live_xxx
Path Parameters
Body
application/json
Was this page helpful?

